# Function deleteIds

- deleteIds(ids, options?): Promise<DeepClientResult<{
  id: any;
  }[]> | {
  data: any[];
  }>

- #### Parameters

  - ids: Id[]
  - options: {
    name?: string;
    returning?: string;
    table?: string;
    variables?: any;
    } = ...

    - ##### `Optional` name?: string

    - ##### `Optional` returning?: string

    - ##### `Optional` table?: string

    - ##### `Optional` variables?: any

  #### Returns Promise<DeepClientResult<{
  id: any;
  }[]> | {
  data: any[];
  }>

  - Defined in work/deeplinks/deeplinks/imports/handlers.ts:204